import type { TailwindRulesObject } from '@aet/eslint-define-config/src/rules/tailwind';
import tailwind from 'eslint-plugin-tailwindcss';

import { off } from '../constants';
import { defineConfig } from '../types';

const tailwindRules: Partial<TailwindRulesObject> = {
  'tailwindcss/no-custom-classname': off,
} as const;

export default defineConfig([
  ...tailwind.configs['flat/recommended'],
  {
    name: 'eslint-rules/tailwind',
    rules: tailwindRules,
  },
]);
